*Author: Jonathan Morse
*Date: 10.15.08
*project: Bankruptcy
*procedure: 07 regression with 06 data
*Formerly file: C:\JonM\02_Bankruptcy\_2008\1015_0607regs\regs0607.do


clear
set more off
set mem 8g
cd "R:\JonM\02_Bankruptcy\1015_0607regs"
log using log_1015_regs0607.txt, text replace

use "R:\JonM\02_Bankruptcy\0624_matched\q206q407match_fixed.dta", clear

gen re34sq_06 = re34_06*re34_06
gen mt28hat_06 = at28_06 - re28_06 - in28_06
gen re28Xre34_06 = re28_06*re34_06
gen re28Xre34sq_06 = (re28_06*re34_06)^2
gen age2_06 = age_06*age_06
gen combo_06 = 0.25 * g094_ind_01_06 + 0.75 * g094_ind_14_06
gen newBKR = g094_07>g094_06

dprobit newBKR mt28hat_06 re28_06 re28Xre34_06 re28Xre34sq_06 tram_06 age_06 age2_06 perc_black_01_06 perc_hispanic_01_06 gt_eq_HS_01_06 divorced_01_06 public_assistance_01_06 incgrowth_inflation_06 median_HH_inc_06 unemployment_06 poverty_rate_06 uninsured_06 g094_ind_01_06 combo_06 
outreg2 using "regs0607_1015.xls", excel append


log close
