*Author: Jonathan Morse
*Date: 07.10.08
*Project: Bankruptcy
*Process: Clustering, state & educ-inc groups, clustering & state, clustering & educ-inc for 2006&2007
*Formerly file: C:\JonM\02_Bankruptcy\_2008\2008_September\0710_clustering\clustering.do

clear
set mem 7g
set more off

cd "R:\JonM\02_Bankruptcy\0710_clustering\"
 
log using log_clustering.txt, replace text

use "R:\JonL\ROUND2\FIXED\CC_regready20032004" if year==2003

drop if re34>110
gen mt28hat = at28/1000 - re28/1000 - in28/1000
gen re28Xre34 = re28/1000*re34/100
gen re28Xre34sq = (re28/1000*re34/100)^2
replace re28 = re28/1000
gen age2 = age*age
tabulate geostate, g(state)

gen combo = 0.25 * g094_ind_01 + 0.75 * g094_ind_14
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo, cluster(geostate) 
outreg2 g094_ind_01 combo using "cluster.xls", excel ctitle(2003 Cluster)  append



use "R:\JonL\ROUND2\FIXED\CC_regready20032004" if year==2004

drop if re34>110
gen mt28hat = at28/1000 - re28/1000 - in28/1000
gen re28Xre34 = re28/1000*re34/100
gen re28Xre34sq = (re28/1000*re34/100)^2
replace re28 = re28/1000
gen age2 = age*age
tabulate geostate, g(state)

gen combo = 0.25 * g094_ind_01 + 0.75 * g094_ind_14
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo, cluster(geostate) 
outreg2 g094_ind_01 combo using "cluster.xls", excel ctitle(2004 Cluster)  append





use geostate geocounty geocensustrack geoblockcode age re34 g094_ind at28 in28 re28 tram perc_black_01 perc_hispanic_01 gt_eq_HS_01 divorced_01 public_assistance_01 incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 g094_ind_14 using "R:\JonL\ROUND2\FIXED\q206_fixed_all"

drop if re34>110
gen mt28hat = at28/1000 - re28/1000 - in28/1000
gen re28Xre34 = re28/1000*re34/100
gen re28Xre34sq = (re28/1000*re34/100)^2
replace re28 = re28/1000
gen age2 = age*age
tabulate geostate, g(state)

gen combo = 0.25 * g094_ind_01 + 0.75 * g094_ind_14
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black_01 perc_hispanic_01 gt_eq_HS_01 divorced_01 public_assistance_01 incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo, cluster(geostate) 
outreg2 g094_ind_01 combo using "cluster.xls", excel ctitle(2006 Cluster)  append


/*2007 state regressions*/

clear
use geostate geocounty geocensustrack geoblockcode age re34 g094_ind at28 in28 re28 tram perc_black_01 perc_hispanic_01 gt_eq_HS_01 divorced_01 public_assistance_01 incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 g094_ind_14 using "R:\JonL\ROUND2\FIXED\q407_fixed_all"

drop if re34>110
gen mt28hat = at28/1000 - re28/1000 - in28/1000
gen re28Xre34 = re28/1000*re34/100
gen re28Xre34sq = (re28/1000*re34/100)^2
replace re28 = re28/1000
gen age2 = age*age
tabulate geostate, g(state)

gen combo = 0.25 * g094_ind_01 + 0.75 * g094_ind_14
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black_01 perc_hispanic_01 gt_eq_HS_01 divorced_01 public_assistance_01 incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo, cluster(geostate) 
outreg2 g094_ind_01 combo using "cluster.xls", excel ctitle(2007 Cluster)  append


log close

