*Author: Jonathan Morse
*Date: 08.15.08
*project: Bankruptcy
*procedure: 07 regression with 06 data - Movers
*Formerly file: C:\JonM\02_Bankruptcy\_2008\1008_FinalTables\Table12\movers0815


clear
set more off
set mem 2g

cd "R:\JonM\02_Bankruptcy\1008_FinalTables\Table12"
use "R:\JonM\02_Bankruptcy\0624_matched\q206q407match_fixed.dta", clear

scalar define pi = c(pi)
gen movers = sqrt(69*(latitude_07 - latitude_06)^2 + (69*cos(pi*latitude_06/180)*(longitude_07 - longitude_06))^2)
gen movers4 = movers>=4
keep if movers4==1

gen mt28hat_06 = at28_06/1000 - re28_06/1000 - in28_06/1000
gen re28Xre34_06 = re28_06/1000*re34_06/100
gen re28Xre34sq_06 = (re28_06/1000*re34_06/100)^2
gen age2_06 = age_06*age_06
gen combo_06 = 0.25 * g094_ind_01_06 + 0.75 * g094_ind_14_06
gen mt28hat_07 = at28_07/1000 - re28_07/1000 - in28_07/1000
gen re28Xre34_07 = re28_07/1000*re34_07/100
gen re28Xre34sq_07 = (re28_07/1000*re34_07/100)^2
gen age2_07 = age_07*age_07
gen combo_07 = 0.25 * g094_ind_01_07 + 0.75 * g094_ind_14_07

dprobit g094_ind_07 mt28hat_07 re28_07 re28Xre34_07 re28Xre34sq_07 tram_07 age_07 age2_07 perc_black_01_07 perc_hispanic_01_07 gt_eq_HS_01_07 divorced_01_07 public_assistance_01_07 incgrowth_inflation_07 median_HH_inc_07 unemployment_07 poverty_rate_07 uninsured_07 g094_ind_01_07 combo_07
outreg2 using "movers_06controls.xls", excel replace

dprobit g094_ind_07 mt28hat_06 re28_06 re28Xre34_06 re28Xre34sq_06 tram_06 age_06 age2_06 perc_black_01_06 perc_hispanic_01_06 gt_eq_HS_01_06 divorced_01_06 public_assistance_01_06 incgrowth_inflation_06 median_HH_inc_06 unemployment_06 poverty_rate_06 uninsured_06 combo_06 combo_07
outreg2 using "movers_06controls.xls", excel append


