*Author: Jonathan Morse
*Date: 08.15.08
*Project: Bankruptcy
*Process: Concentric
*Formerly file: C:\JonM\02_Bankruptcy\_2008\2008_September\0815_PaperTables\0815_Concentric\0815_Concentric.do

clear
set mem 7g
set more off



use "R:\JonL\ROUND2\FIXED\CC_regready20032004"

egen avgbkrpt_state = mean(g094_ind), by(geostate)
egen avgbkrpt_county = mean(g094_ind), by(geocounty)

egen meanOUT = rowmean(g094_ind_14 avgbkrpt_county avgbkrpt_state)
gen comboALL = 0.25*g094_ind_01 + 0.75*meanOUT
gen combo1 = 0.25*g094_ind_01 + 0.75*g094_ind_14
gen combo2 = 0.25*g094_ind_01 + 0.75*avgbkrpt_county
gen combo3 = 0.25*g094_ind_01 + 0.75*avgbkrpt_state
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo1 if year==2003
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric03.xls", replace
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 g094_ind_14 avgbkrpt_county avgbkrpt_state if year==2003
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric03.xls", append
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 comboALL if year==2003
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric03.xls", append
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo1 combo2 combo3 if year==2003
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric03.xls", append


dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo1 if year==2004
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric04.xls", replace
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 g094_ind_14 avgbkrpt_county avgbkrpt_state if year==2004
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric04.xls", append
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 comboALL if year==2004
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric04.xls", append
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS married_01 public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo1 combo2 combo3 if year==2004
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric04.xls", append
clear




use geostate geocounty age re34 g094_ind at28 in28 re28 tram perc_black_01 perc_hispanic_01 gt_eq_HS_01 divorced_01 public_assistance_01 incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 g094_ind_14 using "R:\JonL\ROUND2\FIXED\q206_fixed_all"

drop if re34>110
gen mt28hat = at28/1000 - re28/1000 - in28/1000
gen re28Xre34 = re28/1000*re34/100
gen re28Xre34sq = (re28/1000*re34/100)^2
replace re28 = re28/1000
gen age2 = age*age

egen avgbkrpt_state = mean(g094_ind), by(geostate)
egen avgbkrpt_county = mean(g094_ind), by(geocounty)

egen meanOUT = rowmean(g094_ind_14 avgbkrpt_county avgbkrpt_state)
gen comboALL = 0.25*g094_ind_01 + 0.75*meanOUT
gen combo1 = 0.25*g094_ind_01 + 0.75*g094_ind_14
gen combo2 = 0.25*g094_ind_01 + 0.75*avgbkrpt_county
gen combo3 = 0.25*g094_ind_01 + 0.75*avgbkrpt_state
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS divorced public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo1
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric06.xls", replace
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS divorced public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 g094_ind_14 avgbkrpt_county avgbkrpt_state
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric06.xls", append
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS divorced public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 comboALL
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric06.xls", append
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS divorced public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo1 combo2 combo3
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric06.xls", append
clear


use geostate geocounty age re34 g094_ind at28 in28 re28 tram perc_black_01 perc_hispanic_01 gt_eq_HS_01 divorced_01 public_assistance_01 incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 g094_ind_14 using "R:\JonL\ROUND2\FIXED\q407_fixed_all"

drop if re34>110
gen mt28hat = at28/1000 - re28/1000 - in28/1000
gen re28Xre34 = re28/1000*re34/100
gen re28Xre34sq = (re28/1000*re34/100)^2
replace re28 = re28/1000
gen age2 = age*age

egen avgbkrpt_state = mean(g094_ind), by(geostate)
egen avgbkrpt_county = mean(g094_ind), by(geocounty)

egen meanOUT = rowmean(g094_ind_14 avgbkrpt_county avgbkrpt_state)
gen comboALL = 0.25*g094_ind_01 + 0.75*meanOUT
gen combo1 = 0.25*g094_ind_01 + 0.75*g094_ind_14
gen combo2 = 0.25*g094_ind_01 + 0.75*avgbkrpt_county
gen combo3 = 0.25*g094_ind_01 + 0.75*avgbkrpt_state
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS divorced public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo1
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric07.xls", replace
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS divorced public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 g094_ind_14 avgbkrpt_county avgbkrpt_state
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric07.xls", append
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS divorced public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 comboALL
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric07.xls", append
dprobit g094_ind mt28hat re28 re28Xre34 re28Xre34sq tram age age2 perc_black perc_hispanic gt_eq_HS divorced public_assistance incgrowth_inflation median_HH_inc unemployment poverty_rate uninsured g094_ind_01 combo1 combo2 combo3
outreg2 using R:\JonM\02_Bankruptcy\0815_PaperTables\0815_Concentric\concentric07.xls", append
clear
